Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Public Types | Public Member Functions | Static Public Member Functions | List of all members
UID< t1, t2, t3, t4 > Struct Template Reference

This class provides a compile-time uid and enables interfaces to specify a UID as a simple typedef. More...

`#include <funknownimpl.h>`

## Public Types
enum | : int8 { l1_1 = static_cast<int8> ((t1 & 0xFF000000) >> 24) , l1_2 = static_cast<int8> ((t1 & 0x00FF0000) >> 16) , l1_3 = static_cast<int8> ((t1 & 0x0000FF00) >> 8) , l1_4 = static_cast<int8> ((t1 & 0x000000FF)) , l2_1 = static_cast<int8> ((t2 & 0xFF000000) >> 24) , l2_2 = static_cast<int8> ((t2 & 0x00FF0000) >> 16) , l2_3 = static_cast<int8> ((t2 & 0x0000FF00) >> 8) , l2_4 = static_cast<int8> ((t2 & 0x000000FF)) , l3_1 = static_cast<int8> ((t3 & 0xFF000000) >> 24) , l3_2 = static_cast<int8> ((t3 & 0x00FF0000) >> 16) , l3_3 = static_cast<int8> ((t3 & 0x0000FF00) >> 8) , l3_4 = static_cast<int8> ((t3 & 0x000000FF)) , l4_1 = static_cast<int8> ((t4 & 0xFF000000) >> 24) , l4_2 = static_cast<int8> ((t4 & 0x00FF0000) >> 16) , l4_3 = static_cast<int8> ((t4 & 0x0000FF00) >> 8) , l4_4 = static_cast<int8> ((t4 & 0x000000FF)) }

## Public Member Functions
| UID ()=delete

## Static Public Member Functions
static const TUID & | toTUID ()

## Detailed Description

template<uint32 t1, uint32 t2, uint32 t3, uint32 t4>
struct Steinberg::FUnknownImpl::UID< t1, t2, t3, t4 >

This class provides a compile-time uid and enables interfaces to specify a UID as a simple typedef.

This way the FUID, DECLARE_CLASS_IID and DEF_CLASS_IID code can be omitted.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum : int8

Enumerator
l1_1 |
l1_2 |
l1_3 |
l1_4 |
l2_1 |
l2_2 |
l2_3 |
l2_4 |
l3_1 |
l3_2 |
l3_3 |
l3_4 |
l4_1 |
l4_2 |
l4_3 |
l4_4 |

## Constructor & Destructor Documentation

## ◆ UID()

UID | ( |  | ) |
| delete

## Member Function Documentation

## ◆ toTUID()

static const TUID & toTUID | ( |  | ) |
| inline static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.